tigase.vhosts

## Class VhostConfigRepository

- java.lang.Object
- - tigase.db.comp.ConfigRepository<VHostItem>
  - - tigase.vhosts.VhostConfigRepository

- All Implemented Interfaces:
    Iterable<VHostItem>, ComponentRepository<VHostItem>

      public class VhostConfigRepository
      extends ConfigRepository<VHostItem>

  Created: Nov 27, 2008 1:53:58 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `items`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VhostConfigRepository()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigKey()` Method description
    `String[]` | `getDefaultPropetyItems()` Method description
    `VHostItem` | `getItemInstance()` Creates a new, uninitialized instance of the repository Item.
    `String` | `getPropertyKey()` Method description

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addRepoChangeListener, allItems, contains, getDefaults, getItem, itemChanged, iterator, reload, removeItem, removeRepoChangeListener, setAutoloadTimer, setProperties, size, store, toString, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VhostConfigRepository

          public VhostConfigRepository()

  - ### Method Detail

    - #### getDefaultPropetyItems

          public String[] getDefaultPropetyItems()

      Description copied from class: `ConfigRepository`
      Method description
      Specified by:
        `getDefaultPropetyItems` in class `ConfigRepository<VHostItem>`

    - #### getPropertyKey

          public String getPropertyKey()

      Description copied from class: `ConfigRepository`
      Method description
      Specified by:
        `getPropertyKey` in class `ConfigRepository<VHostItem>`

    - #### getConfigKey

          public String getConfigKey()

      Description copied from class: `ConfigRepository`
      Method description
      Specified by:
        `getConfigKey` in class `ConfigRepository<VHostItem>`

    - #### getItemInstance

          public VHostItem getItemInstance()

      Description copied from interface: `ComponentRepository`
      Creates a new, uninitialized instance of the repository Item.
      Returns:
        a new, uninitialized instance of the repository Item.

Copyright © 2014 "Tigase, Inc.". All rights reserved.